import { Analytics } from '../core/Analytics';
import { AnalyticsConfig } from '../types/AnalyticsConfig';
import { CustomDataValues } from '../types/CustomDataValues';
import { InternalAdapterAPI } from './internal/InternalAdapterAPI';
export declare abstract class Adapter {
    protected analytics: Analytics;
    protected internalAdapter: InternalAdapterAPI;
    getCurrentImpressionId(): string | undefined;
    setCustomData(values: CustomDataValues): void;
    setCustomDataOnce(values: CustomDataValues): void;
    sourceChange(config: AnalyticsConfig): void;
    protected hasPlayerAlreadyBeenAugmented(player: any): boolean;
    protected markPlayerInstanceAsAugmented(player: any): void;
    private guardAgainstNotInitializedAnalytics;
}
