import { Analytics } from '../../core/Analytics';
import { Player } from '../../enums/Player';
import { Feature } from '../../features/Feature';
import { FeatureConfig } from '../../features/FeatureConfig';
import { AnalyticsStateMachineOptions } from '../../types/AnalyticsStateMachineOptions';
import { DrmPerformanceInfo } from '../../types/DrmPerformanceInfo';
import { FeatureConfigContainer } from '../../types/FeatureConfigContainer';
import { PlaybackInfo } from '../../types/PlaybackInfo';
import { InternalAdapter } from './InternalAdapter';
import { InternalAdapterAPI } from './InternalAdapterAPI';
export declare class Bitmovin7InternalAdapter extends InternalAdapter implements InternalAdapterAPI {
    private player;
    private onBeforeUnLoadEvent;
    constructor(player: any, opts?: AnalyticsStateMachineOptions);
    initialize(analytics: Analytics): Array<Feature<FeatureConfigContainer, FeatureConfig>>;
    getPlayerVersion: () => any;
    getPlayerName: () => Player;
    getPlayerTech: () => any;
    getAutoPlay(): boolean;
    getDrmPerformanceInfo: () => DrmPerformanceInfo | undefined;
    getCurrentPlaybackInfo(): PlaybackInfo;
    register(): void;
    sourceChange(config: any, timestamp: number): void;
    protected get currentTime(): number;
    private applySourceProperties;
    private applySubtitleProperties;
    private applyPlaybackQualityProperties;
    private applyCastingProperties;
}
