import { Analytics } from '../../core/Analytics';
import { Player } from '../../enums/Player';
import { Feature } from '../../features/Feature';
import { FeatureConfig } from '../../features/FeatureConfig';
import { AnalyticsStateMachineOptions } from '../../types/AnalyticsStateMachineOptions';
import { FeatureConfigContainer } from '../../types/FeatureConfigContainer';
import { QualityLevelInfo } from '../../types/QualityLevelInfo';
import { HTML5InternalAdapter } from './HTML5InternalAdapter';
import { InternalAdapterAPI } from './InternalAdapterAPI';
export declare class DashjsInternalAdapter extends HTML5InternalAdapter implements InternalAdapterAPI {
    private mediaPlayer;
    constructor(mediaPlayer: any, opts?: AnalyticsStateMachineOptions);
    /**
     * @override
     */
    initialize(analytics: Analytics): Array<Feature<FeatureConfigContainer, FeatureConfig>>;
    registerMediaElementEventsForDashJS(): void;
    getPlayerName: () => Player;
    getPlayerVersion: () => any;
    /**
     * @override
     */
    getMIMEType(): string;
    /**
     * @override
     */
    getStreamURL(): string | undefined;
    /**
     * Implemented by sub-class to deliver current quality-level info
     * specific to media-engine.
     * @override
     * @returns {QualityLevelInfo}
     */
    getCurrentQualityLevelInfo(): QualityLevelInfo | null;
}
