import * as StateMachine from 'javascript-state-machine';
import { EventMap } from '../enums/Event';
import { AnalyticsStateMachineOptions } from '../types/AnalyticsStateMachineOptions';
import { NoExtraProperties } from '../types/NoExtraProperties';
import { StateMachineCallbacks } from '../types/StateMachineCallbacks';
import { AnalyticsStateMachine } from './AnalyticsStateMachine';
export declare class HTML5AnalyticsStateMachine extends AnalyticsStateMachine {
    private seekStartedAt;
    constructor(stateMachineCallbacks: StateMachineCallbacks, opts: AnalyticsStateMachineOptions);
    getAllStates(): any[];
    getAllStatesBut(states: string[]): any[];
    createStateMachine(opts: AnalyticsStateMachineOptions): StateMachine.StateMachine;
    callEvent<StatemachineEvent extends keyof EventMap, EventData extends EventMap[StatemachineEvent]>(eventType: StatemachineEvent, eventObject: NoExtraProperties<EventMap[StatemachineEvent], EventData>, timestamp: number): void;
    sourceChange: (config: any, timestamp: number, currentTime?: number | undefined) => void;
}
