import { FeatureConfig } from './FeatureConfig';
export declare abstract class Feature<TConfigContainer, TConfig extends FeatureConfig> {
    private _config?;
    private _isEnabled;
    get config(): TConfig | undefined;
    get isEnabled(): boolean;
    abstract reset(): void;
    abstract enabled(): void;
    abstract disabled(): void;
    abstract configured(authenticated: boolean, config?: TConfig): void;
    disable(): void;
    configure(authenticated: boolean, configContainer?: TConfigContainer): TConfig | undefined;
    abstract extractConfig(configContainer: TConfigContainer): TConfig | undefined;
}
