import { HttpRequestType } from './HttpRequestType';
export interface HttpRequest {
    /**
     * Epoch timestamp in milliseconds
     */
    timestamp: number;
    type: HttpRequestType;
    url?: string | undefined;
    lastRedirectLocation?: string | undefined;
    httpStatus: number;
    /**
     * Total time elapsed in milliseconds since the request was opened (including TTFB).
     */
    downloadTime: number;
    /**
     * The time-to-first-byte for this request in milliseconds.
     */
    timeToFirstByte?: number | undefined;
    /**
     * The size of the downloaded data, in bytes.
     */
    size?: number | undefined;
    success: boolean;
}
