import { VideoStartFailedReason } from '../enums/VideoStartFailedReason';
import { ErrorData } from '../features/errordetails/ErrorData';
import { AnalyticsConfig } from './AnalyticsConfig';
export interface AnalyticsEventBase {
    currentTime?: number;
}
export interface SourceChangeEvent extends AnalyticsEventBase {
    config: AnalyticsConfig;
}
export interface ErrorEvent extends AnalyticsEventBase {
    code: number | undefined;
    message: string | undefined;
    legacyData?: any;
    data: ErrorData;
}
export interface AudioChangeEvent extends AnalyticsEventBase {
    bitrate?: number;
    codec?: string;
}
export interface VideoChangeEvent extends AnalyticsEventBase {
    bitrate?: number;
    height?: number;
    width?: number;
    codec?: string;
}
export interface VideoStartFailedEvent extends AnalyticsEventBase {
    reason: VideoStartFailedReason;
}
